TechDraw: Angolo

From FreeCAD Documentation
Revision as of 21:03, 31 October 2016 by Renatorivo (talk | contribs) (Created page with "==Descrizione== Lo strumento Angolo aggiunge una dimensione angolare ad una Vista. La dimensione può essere l'angolo interno tra due bordi rettilinei. L'angolo sarà inizialm...")

Angle

Posizione nel menu
TechDraw → Angle
Ambiente
TechDraw
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Descrizione

Lo strumento Angolo aggiunge una dimensione angolare ad una Vista. La dimensione può essere l'angolo interno tra due bordi rettilinei. L'angolo sarà inizialmente l'angolo della proiezione (ad esempio come mostrato nel disegno), ma questo valore può essere cambiato nell'angolo 3D reale utilizzando lo strumento Link alla dimensione .

How to use

  1. Select the points or edge which define your measurement.
  2. Press the File:Dimension Angle.png Dimension Angle button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Options

None.

Properties

  • DatiX: Angle position of the dimension text relative to the View.
  • DatiY: Angle position of the dimension text relative to the View.
  • DatiFont: The name of the font to use for the dimension text.
  • DatiFontsize: Dimension text size in mm.
  • DatiFormatSpec: Allows additional text to be added to the dimension text. Dimension value will replace %value%.
  • DatiLineWidth: Dimension line weight.
  • DatiType: Length,radius,diameter, etc. Not normally manipulated by the end user.
  • DatiMeasureType: "True" - based on 3D geometry or "Projected" - based on the drawing. Not normally manipulated directly by the end user.

Scripting

Angle dimensions can be added to Pages using Python.

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)

Notes

  • None at this time